class AddFirstEventAtToIncidents < ActiveRecord::Migration[5.0]
  def change
    add_column :incidents, :first_event_at, :datetime

    # Update all exisitng incidents with first_event_at = created_at
    reversible do |dir|
      dir.up do
        execute("UPDATE incidents SET first_event_at = created_at")
      end
    end
  end
end
